Package twisted :: Package sibling :: Module siblingserv :: Class SiblingMotherClient

[show private | hide private]
[frames | no frames]

## Class SiblingMotherClient

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       SiblingMotherClient

Method Summary
| `__init__(self, siblingsrv)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``remote_callDistributed`(self, srcResourceType, srcResourceName, destResourceType, destResourceName, methodName, args, kw)` invoked to call a method on a distributed object.
| `remote_loadResource(self, resourceType, resourceName, *args)`
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)

Method Details

### remote_callDistributed(self, srcResourceType, srcResourceName, destResourceType, destResourceName, methodName, args, kw)

invoked to call a method on a distributed object.

Generated by Epydoc 1.1 on Thu May 8 13:19:00 2003 | http://epydoc.sf.net